groovy.util

## Class ObservableMap.PropertyUpdatedEvent

- java.lang.Object
- - java.util.EventObject
  - - java.beans.PropertyChangeEvent
    - - groovy.util.ObservableMap.PropertyEvent
      - - groovy.util.ObservableMap.PropertyUpdatedEvent

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  ObservableMap

    public static class ObservableMap.PropertyUpdatedEvent
    extends ObservableMap.PropertyEvent

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`ObservableMap.PropertyUpdatedEvent(java.lang.Object source, java.lang.String propertyName, java.lang.Object oldValue, java.lang.Object newValue)`

### Method Summary

### Methods inherited from class groovy.util.ObservableMap.PropertyEvent

`getChangeType, getType, getTypeAsString`

### Methods inherited from class java.beans.PropertyChangeEvent

`getNewValue, getOldValue, getPropagationId, getPropertyName, setPropagationId, toString`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ObservableMap.PropertyUpdatedEvent

    public ObservableMap.PropertyUpdatedEvent(java.lang.Object source,
                                      java.lang.String propertyName,
                                      java.lang.Object oldValue,
                                      java.lang.Object newValue)